inputType: "CA10__CaAwsVolume__c"
testData:
  - file: "test-data.json"
importExtracts:
  - file: "/types/CA10__CaAwsVolume__c/object.extracts.yaml"
conditions:
  - status: "INAPPLICABLE"
    currentStateMessage: "This policy only applies to attached EBS volumes. This volume is not attached."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10__status__c"
        right:
          TEXT: "in-use"
  - status: "INCOMPLIANT"
    currentStateMessage: "The attached EBS volume is not encrypted."
    remediationMessage: "Enable encryption for the volume. "
    check:
      NOT:
        arg:
          EXTRACT: "CA10__encrypted__c"
  - status: "COMPLIANT"
    currentStateMessage: "The attached EBS volume is encrypted."
    remediationMessage: "Enable encryption for the volume. "
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10__encrypted__c"
        right:
          BOOLEAN: true
otherwise:
  status: "UNDETERMINED"
  currentStateMessage: "Unexpected values in the field."
